Method: sandboxEnvironmentTemplates.list

Full name: projects.locations.reasoningEngines.sandboxEnvironmentTemplates.list

Lists SandboxEnvironmentTemplates in a given reasoning engine.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/sandboxEnvironmentTemplates

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the reasoning engine to list sandbox environment templates from. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}

Query parameters

filter string

Optional. The standard list filter. More detail in AIP-160.

pageSize integer

Optional. The maximum number of SandboxEnvironmentTemplates to return. The service may return fewer than this value. If unspecified, at most 100 SandboxEnvironmentTemplates will be returned.

pageToken string

Optional. The standard list page token, received from a previous sandboxEnvironmentTemplates.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for SandboxEnvironmentService.ListSandboxEnvironmentTemplates.

If successful, the response body contains data with the following structure:

Fields
sandboxEnvironmentTemplates[] object (SandboxEnvironmentTemplate)

The SandboxEnvironmentTemplates matching the request.

nextPageToken string

A token, which can be sent as ListSandboxEnvironmentTemplatesRequest.page_token to retrieve the next page. Absence of this field indicates there are no subsequent pages.

JSON representation
{
  "sandboxEnvironmentTemplates": [
    {
      object (SandboxEnvironmentTemplate)
    }
  ],
  "nextPageToken": string
}